TICKIT_RENDERBUFFER_ERASERECT(3)

NAME
tickit_renderbuffer_eraserect, tickit_renderbuffer_clear - erase large areas

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_eraserect(TickitRenderBuffer *rb,
             TickitRect *rect);
    void tickit_renderbuffer_clear(TickitRenderBuffer *rb);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_eraserect() creates erase regions for every line in rect within the buffer, set to the current pen.

tickit_renderbuffer_clear() erases the entire buffer area within the current clipping region and masks, setting it all to be erase regions with the current pen.

Neither of these functions use or update the virtual cursor.

RETURN VALUE
These functions return nothing

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_blit(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)